boost::geometry::policies::relate::segments_intersection_points< ReturnType > Struct Template Reference

Policy calculating the intersection points themselves. More...

List of all members.

## Public Types

typedef ReturnType | return_type

## Static Public Member Functions

template<typename Point , typename Segment , typename SegmentRatio , typename T >
static void | assign (Point &point, Segment const &segment, SegmentRatio const &ratio, T const &dx, T const &dy)
template<typename Segment >
static return_type | degenerate (Segment const &segment, bool)
static return_type | disjoint ()
static return_type | error (std::string const &)
template<typename Segment , typename Ratio >
static return_type | one_degenerate (Segment const &degenerate_segment, Ratio const &ratio, bool a_degenerate)
template<typename Segment1 , typename Segment2 , typename Ratio >
static return_type | segments_collinear (Segment1 const &a, Segment2 const &b, bool, int a1_wrt_b, int a2_wrt_b, int b1_wrt_a, int b2_wrt_a, Ratio const &ra_from_wrt_b, Ratio const &ra_to_wrt_b, Ratio const &rb_from_wrt_a, Ratio const &rb_to_wrt_a)
template<typename Segment1 , typename Segment2 , typename SegmentIntersectionInfo >
static return_type | segments_crosses (side_info const &, SegmentIntersectionInfo const &sinfo, Segment1 const &s1, Segment2 const &s2)

## Detailed Description

### template<typename ReturnType>
struct boost::geometry::policies::relate::segments_intersection_points< ReturnType >

Policy calculating the intersection points themselves.

## Member Typedef Documentation

template<typename ReturnType >

typedef ReturnType boost::geometry::policies::relate::segments_intersection_points< ReturnType >::return_type

## Member Function Documentation

template<typename ReturnType >
template<typename Point , typename Segment , typename SegmentRatio , typename T >

static void boost::geometry::policies::relate::segments_intersection_points< ReturnType >::assign | ( | Point & | point,
|  | Segment const & | segment,
|  | SegmentRatio const & | ratio,
|  | T const & | dx,
|  | T const & | dy
| ) |  | `[static]`

template<typename ReturnType >
template<typename Segment1 , typename Segment2 , typename SegmentIntersectionInfo >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::segments_crosses | ( | side_info const & | ,
|  | SegmentIntersectionInfo const & | sinfo,
|  | Segment1 const & | s1,
|  | Segment2 const & | s2
| ) |  | `[static]`

template<typename ReturnType >
template<typename Segment1 , typename Segment2 , typename Ratio >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::segments_collinear | ( | Segment1 const & | a,
|  | Segment2 const & | b,
|  | bool | ,
|  | int | a1_wrt_b,
|  | int | a2_wrt_b,
|  | int | b1_wrt_a,
|  | int | b2_wrt_a,
|  | Ratio const & | ra_from_wrt_b,
|  | Ratio const & | ra_to_wrt_b,
|  | Ratio const & | rb_from_wrt_a,
|  | Ratio const & | rb_to_wrt_a
| ) |  | `[static]`

template<typename ReturnType >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::disjoint | ( |  | ) | `[static]`

template<typename ReturnType >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::error | ( | std::string const & |  | ) | `[static]`

template<typename ReturnType >
template<typename Segment >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::degenerate | ( | Segment const & | segment,
|  | bool |
| ) |  | `[static]`

template<typename ReturnType >
template<typename Segment , typename Ratio >

static return_type boost::geometry::policies::relate::segments_intersection_points< ReturnType >::one_degenerate | ( | Segment const & | degenerate_segment,
|  | Ratio const & | ratio,
|  | bool | a_degenerate
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK